From de4771ce5e75b65e88c9cc60547500d48f053444 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Wed, 27 Mar 2019 14:05:11 +0100
Subject: [PATCH] Synchronize auth.py with Commitfest copy

The auth.py module for integrating with the community authentication
was out of sync with the copy in the CF app repo, where the CF copy
had fixed the email address for account merging support, and done a
tiny re-indentation.

This also fixes an adjacent typo spotted in the process.
---
 tools/communityauth/sample/django/auth.py | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

diff --git a/tools/communityauth/sample/django/auth.py b/tools/communityauth/sample/django/auth.py
index 13e5b28..c582ec0 100644
--- a/tools/communityauth/sample/django/auth.py
+++ b/tools/communityauth/sample/django/auth.py
@@ -133,7 +133,7 @@ def auth_receive(request):
 a different username than %s.
 
 This is almost certainly caused by some legacy data in our database.
-Please send an email to webmaster@postgresql.eu, indicating the username
+Please send an email to webmaster@postgresql.org, indicating the username
 and email address from above, and we'll manually merge the two accounts
 for you.
 
@@ -183,7 +183,7 @@ We apologize for the inconvenience.
 # Unlike the authentication, searching does not involve the browser - we just make
 # a direct http call.
 def user_search(searchterm=None, userid=None):
-    # If upsteam isn't responding quickly, it's not going to respond at all, and
+    # If upstream isn't responding quickly, it's not going to respond at all, and
     # 10 seconds is already quite long.
     socket.setdefaulttimeout(10)
     if userid:
@@ -191,9 +191,8 @@ def user_search(searchterm=None, userid=None):
     else:
         q = {'s': searchterm}
 
-    r = requests.get(
-        '{0}search/'.format(settings.PGAUTH_REDIRECT),
-        params=q,
+    r = requests.get('{0}search/'.format(settings.PGAUTH_REDIRECT),
+                     params=q,
     )
     if r.status_code != 200:
         return []
-- 
2.14.1.145.gb3622a4ee

